All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components.waterfallchart
Class WaterfallChartDataModel

    com.sas.graphics.components.waterfallchart.WaterfallChartDataModel

Direct Known Subclasses:
  WaterfallChartOLAPDataModel, WaterfallChartTableDataModel

    public abstract class WaterfallChartDataModel

Common superclass for all WaterfallChart DataModels to provide a "type" of data model that can be assigned to a WaterfallChart.

## Usage

A WaterfallChartDataModel can be assigned to an instance of the WaterfallChart class. Example:

     // Get the TableModel
     javax.swing.table.TableModel tableModel = <...>;

     // Set up the Data Model
     // WaterfallChartTableDataModel is a subclass of WaterfallChartDataModel
     WaterfallChartTableDataModel dataModel = new WaterfallChartTableDataModel();
     dataModel.setModel(tableModel);
     dataModel.setCategoryVariable(new ClassificationVariable("Product"));
     dataModel.setResponseVariable(new AnalysisVariable("Sales"));

     // Associate the Data Model with a WaterfallChart
     WaterfallChart waterfallChart = new WaterfallChart(dataModel);

## Extending

This class provides a type for the WaterfallChart's data models but is only intended for internal subclassing.

Since:
  SAS 9.1
See Also:
  `WaterfallChartTableDataModel`, `WaterfallChartOLAPDataModel`, `WaterfallChart`

Constructor Summary
`WaterfallChartDataModel()`

Method Summary

Methods inherited from class com.sas.graphics.components.DataModel
`apply, equals, getLocale, getRulesContext, getSortStrategy, hashCode, setLocale, setRulesContext, setSortStrategy`

Methods inherited from class com.sas.graphics.components.ModelBase
`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, setContainedModel`

Constructor Detail

### WaterfallChartDataModel

    public WaterfallChartDataModel()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.